org.apache.catalina.websocket

## Class WsFrame

- java.lang.Object
- - org.apache.catalina.websocket.WsFrame

- Deprecated.
  Replaced by the JSR356 WebSocket 1.1 implementation and will be removed in Tomcat 8.0.x.

      @Deprecated
      public class WsFrame
      extends Object

  Represents a complete WebSocket frame with the exception of the payload for non-control frames.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getFin()` Deprecated.
    `byte[]` | `getMask()` Deprecated.
    `byte` | `getOpCode()` Deprecated.
    `ByteBuffer` | `getPayLoad()` Deprecated.
    `long` | `getPayLoadLength()` Deprecated.
    `int` | `getRsv()` Deprecated.
    `boolean` | `isControl()` Deprecated.
    `static WsFrame` | `nextFrame(UpgradeProcessor<?> processor, boolean block)` Deprecated. Read the next WebSocket frame, reading data from the processor as necessary.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFin

          public boolean getFin()

      Deprecated.

    - #### getRsv

          public int getRsv()

      Deprecated.

    - #### getOpCode

          public byte getOpCode()

      Deprecated.

    - #### isControl

          public boolean isControl()

      Deprecated.

    - #### getMask

          public byte[] getMask()

      Deprecated.

    - #### getPayLoadLength

          public long getPayLoadLength()

      Deprecated.

    - #### getPayLoad

          public ByteBuffer getPayLoad()

      Deprecated.

    - #### nextFrame

          public static WsFrame nextFrame(UpgradeProcessor<?> processor,
                          boolean block)
                                   throws IOException

      Deprecated.
      Read the next WebSocket frame, reading data from the processor as necessary.
      Parameters:
        `processor` - Processor associated with the WebSocket connection on which the frame has been sent
        `block` - Should this method block until a frame is presented if no data is currently available to process. Note that is a single byte is available, this method will block until the complete frame (excluding payload for non-control frames) is available.
      Throws:
        `IOException` - If a problem occurs processing the frame. Any exception will trigger the closing of the WebSocket connection.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.